<div class="container">
    <h1 class="title">Posts list:</h1>
    <div *ngFor="let post of posts | paginate: { itemsPerPage: 10, currentPage: page }, let i = index">
      <div class="post-box">
        <div class="body">
          <span class="tip tip-up"></span>
          <div class="post">
            <span>
              <a routerLink="/post/{{post.id}}">{{post.id}}- {{ post.title | titlecase }}</a>
            </span>
          </div>
        </div>
      </div>
    </div>
    <div class="controls-container">
      <pagination-controls (pageChange)="page = $event"></pagination-controls>
    </div>
  </div>